com.qualcomm.ftccommon

## Class CommandList

- java.lang.Object
- - RobotCoreCommandList
  - - com.qualcomm.ftccommon.CommandList

-     public class CommandList
      extends RobotCoreCommandList

  List of RobotCore Robocol commands used by the FIRST apps

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CommandList.CmdPlaySound`
    `static class` | `CommandList.CmdRequestSound`
    `static class` | `CommandList.CmdStopPlayingSounds`
    `static class` | `CommandList.CmdVisuallyIdentify`
    `static class` | `CommandList.LynxAddressChangeRequest`
    `static class` | `CommandList.LynxFirmwareImagesResp`
    `static class` | `CommandList.LynxFirmwareUpdate`
    `static class` | `CommandList.LynxFirmwareUpdateResp`
    `static class` | `CommandList.USBAccessibleLynxModulesRequest`
    `static class` | `CommandList.USBAccessibleLynxModulesResp`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CMD_ACTIVATE_CONFIGURATION`
    `static java.lang.String` | `CMD_DELETE_CONFIGURATION`
    `static java.lang.String` | `CMD_DISCOVER_LYNX_MODULES`
    `static java.lang.String` | `CMD_DISCOVER_LYNX_MODULES_RESP`
    `static java.lang.String` | `CMD_GET_CANDIDATE_LYNX_FIRMWARE_IMAGES`
    `static java.lang.String` | `CMD_GET_CANDIDATE_LYNX_FIRMWARE_IMAGES_RESP`
    `static java.lang.String` | `CMD_GET_USB_ACCESSIBLE_LYNX_MODULES`
    `static java.lang.String` | `CMD_GET_USB_ACCESSIBLE_LYNX_MODULES_RESP`
    `static java.lang.String` | `CMD_INIT_OP_MODE`
    `static java.lang.String` | `CMD_LYNX_ADDRESS_CHANGE`
    `static java.lang.String` | `CMD_LYNX_FIRMWARE_UPDATE`
    `static java.lang.String` | `CMD_LYNX_FIRMWARE_UPDATE_RESP`
    `static java.lang.String` | `CMD_PROGRAMMING_MODE_LOG_NOTIFICATION` Notification that a message was logged during programming mode (blocks).
    `static java.lang.String` | `CMD_PROGRAMMING_MODE_PING_NOTIFICATION` Notification that the programming mode (blocks) server received a ping request.
    `static java.lang.String` | `CMD_REQUEST_CONFIGURATION_TEMPLATES`
    `static java.lang.String` | `CMD_REQUEST_CONFIGURATION_TEMPLATES_RESP`
    `static java.lang.String` | `CMD_REQUEST_CONFIGURATIONS`
    `static java.lang.String` | `CMD_REQUEST_CONFIGURATIONS_RESP`
    `static java.lang.String` | `CMD_REQUEST_PARTICULAR_CONFIGURATION`
    `static java.lang.String` | `CMD_REQUEST_PARTICULAR_CONFIGURATION_RESP`
    `static java.lang.String` | `CMD_REQUEST_REMEMBERED_GROUPS`
    `static java.lang.String` | `CMD_REQUEST_REMEMBERED_GROUPS_RESP`
    `static java.lang.String` | `CMD_RESTART_ROBOT`
    `static java.lang.String` | `CMD_RUN_OP_MODE`
    `static java.lang.String` | `CMD_SAVE_CONFIGURATION`
    `static java.lang.String` | `CMD_SCAN`
    `static java.lang.String` | `CMD_SCAN_RESP`
    `static java.lang.String` | `CMD_SET_MATCH_NUMBER`
    `static java.lang.String` | `CMD_START_DS_PROGRAM_AND_MANAGE`
    `static java.lang.String` | `CMD_START_DS_PROGRAM_AND_MANAGE_RESP`
    `static java.lang.String` | `CMD_START_PROGRAMMING_MODE` Command to start programming mode (blocks).
    `static java.lang.String` | `CMD_START_PROGRAMMING_MODE_RESP` Response to a command to start programming mode (blocks).
    `static java.lang.String` | `CMD_STOP_PROGRAMMING_MODE` Command to stop programming mode (blocks).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandList()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CMD_INIT_OP_MODE

          public static final java.lang.String CMD_INIT_OP_MODE

      See Also:
        Constant Field Values

    - #### CMD_RUN_OP_MODE

          public static final java.lang.String CMD_RUN_OP_MODE

      See Also:
        Constant Field Values

    - #### CMD_RESTART_ROBOT

          public static final java.lang.String CMD_RESTART_ROBOT

      See Also:
        Constant Field Values

    - #### CMD_SCAN

          public static final java.lang.String CMD_SCAN

      See Also:
        Constant Field Values

    - #### CMD_SCAN_RESP

          public static final java.lang.String CMD_SCAN_RESP

      See Also:
        Constant Field Values

    - #### CMD_REQUEST_CONFIGURATIONS

          public static final java.lang.String CMD_REQUEST_CONFIGURATIONS

      See Also:
        Constant Field Values

    - #### CMD_REQUEST_CONFIGURATIONS_RESP

          public static final java.lang.String CMD_REQUEST_CONFIGURATIONS_RESP

      See Also:
        Constant Field Values

    - #### CMD_REQUEST_CONFIGURATION_TEMPLATES

          public static final java.lang.String CMD_REQUEST_CONFIGURATION_TEMPLATES

      See Also:
        Constant Field Values

    - #### CMD_REQUEST_CONFIGURATION_TEMPLATES_RESP

          public static final java.lang.String CMD_REQUEST_CONFIGURATION_TEMPLATES_RESP

      See Also:
        Constant Field Values

    - #### CMD_REQUEST_PARTICULAR_CONFIGURATION

          public static final java.lang.String CMD_REQUEST_PARTICULAR_CONFIGURATION

      See Also:
        Constant Field Values

    - #### CMD_REQUEST_PARTICULAR_CONFIGURATION_RESP

          public static final java.lang.String CMD_REQUEST_PARTICULAR_CONFIGURATION_RESP

      See Also:
        Constant Field Values

    - #### CMD_ACTIVATE_CONFIGURATION

          public static final java.lang.String CMD_ACTIVATE_CONFIGURATION

      See Also:
        Constant Field Values

    - #### CMD_SAVE_CONFIGURATION

          public static final java.lang.String CMD_SAVE_CONFIGURATION

      See Also:
        Constant Field Values

    - #### CMD_DELETE_CONFIGURATION

          public static final java.lang.String CMD_DELETE_CONFIGURATION

      See Also:
        Constant Field Values

    - #### CMD_DISCOVER_LYNX_MODULES

          public static final java.lang.String CMD_DISCOVER_LYNX_MODULES

      See Also:
        Constant Field Values

    - #### CMD_DISCOVER_LYNX_MODULES_RESP

          public static final java.lang.String CMD_DISCOVER_LYNX_MODULES_RESP

      See Also:
        Constant Field Values

    - #### CMD_REQUEST_REMEMBERED_GROUPS

          public static final java.lang.String CMD_REQUEST_REMEMBERED_GROUPS

      See Also:
        Constant Field Values

    - #### CMD_REQUEST_REMEMBERED_GROUPS_RESP

          public static final java.lang.String CMD_REQUEST_REMEMBERED_GROUPS_RESP

      See Also:
        Constant Field Values

    - #### CMD_START_PROGRAMMING_MODE

          public static final java.lang.String CMD_START_PROGRAMMING_MODE

      Command to start programming mode (blocks).
      See Also:
        Constant Field Values

    - #### CMD_START_DS_PROGRAM_AND_MANAGE

          public static final java.lang.String CMD_START_DS_PROGRAM_AND_MANAGE

      See Also:
        Constant Field Values

    - #### CMD_START_PROGRAMMING_MODE_RESP

          public static final java.lang.String CMD_START_PROGRAMMING_MODE_RESP

      Response to a command to start programming mode (blocks). Programming mode connection information will be in extra data.
      See Also:
        Constant Field Values

    - #### CMD_START_DS_PROGRAM_AND_MANAGE_RESP

          public static final java.lang.String CMD_START_DS_PROGRAM_AND_MANAGE_RESP

      See Also:
        Constant Field Values

    - #### CMD_PROGRAMMING_MODE_LOG_NOTIFICATION

          public static final java.lang.String CMD_PROGRAMMING_MODE_LOG_NOTIFICATION

      Notification that a message was logged during programming mode (blocks). Log message will be in extra data.
      See Also:
        Constant Field Values

    - #### CMD_PROGRAMMING_MODE_PING_NOTIFICATION

          public static final java.lang.String CMD_PROGRAMMING_MODE_PING_NOTIFICATION

      Notification that the programming mode (blocks) server received a ping request. PingDetails (encoded as json) will be in extra data.
      See Also:
        Constant Field Values

    - #### CMD_STOP_PROGRAMMING_MODE

          public static final java.lang.String CMD_STOP_PROGRAMMING_MODE

      Command to stop programming mode (blocks).
      See Also:
        Constant Field Values

    - #### CMD_SET_MATCH_NUMBER

          public static final java.lang.String CMD_SET_MATCH_NUMBER

      See Also:
        Constant Field Values

    - #### CMD_GET_CANDIDATE_LYNX_FIRMWARE_IMAGES

          public static final java.lang.String CMD_GET_CANDIDATE_LYNX_FIRMWARE_IMAGES

      See Also:
        Constant Field Values

    - #### CMD_GET_CANDIDATE_LYNX_FIRMWARE_IMAGES_RESP

          public static final java.lang.String CMD_GET_CANDIDATE_LYNX_FIRMWARE_IMAGES_RESP

      See Also:
        Constant Field Values

    - #### CMD_GET_USB_ACCESSIBLE_LYNX_MODULES

          public static final java.lang.String CMD_GET_USB_ACCESSIBLE_LYNX_MODULES

      See Also:
        Constant Field Values

    - #### CMD_GET_USB_ACCESSIBLE_LYNX_MODULES_RESP

          public static final java.lang.String CMD_GET_USB_ACCESSIBLE_LYNX_MODULES_RESP

      See Also:
        Constant Field Values

    - #### CMD_LYNX_FIRMWARE_UPDATE

          public static final java.lang.String CMD_LYNX_FIRMWARE_UPDATE

      See Also:
        Constant Field Values

    - #### CMD_LYNX_FIRMWARE_UPDATE_RESP

          public static final java.lang.String CMD_LYNX_FIRMWARE_UPDATE_RESP

      See Also:
        Constant Field Values

    - #### CMD_LYNX_ADDRESS_CHANGE

          public static final java.lang.String CMD_LYNX_ADDRESS_CHANGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommandList

          public CommandList()